aboutsummaryrefslogtreecommitdiff
path: root/utils/update_every_lists.sh
diff options
context:
space:
mode:
authorIvan Nardi <12729895+IvanNardi@users.noreply.github.com>2022-02-25 14:26:26 +0100
committerGitHub <noreply@github.com>2022-02-25 14:26:26 +0100
commit8b062295cc76a60e3905c054ce37bd17669464d1 (patch)
treee2fdc3e672881f98e7b91cad7497d7563df38a33 /utils/update_every_lists.sh
parentf14dcb8344f1cbb1197cdc4f341a6fe4fdcc0cf6 (diff)
Add some scripts to easily update some IPs lists (#1449)
While the lists in a6ff0dd0 and 2f5f445f are somehow provided by the companies themselves (or by some interested parties), these new lists are directly extracted from BGP information, via AS prefixes. *Usually*, these new lists are far more stable than the previous ones. TODO: * add some other ASNs (see `src/lib/ndpi_content_match.c.inc`) * IPv6, as usual :-(
Diffstat (limited to 'utils/update_every_lists.sh')
-rwxr-xr-xutils/update_every_lists.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/utils/update_every_lists.sh b/utils/update_every_lists.sh
new file mode 100755
index 000000000..cbc3bf68d
--- /dev/null
+++ b/utils/update_every_lists.sh
@@ -0,0 +1,16 @@
+#/bin/sh
+
+cd "$(dirname "${0}")" || return
+
+./aws_ip_addresses_download.sh
+./azure_ip_addresses_download.sh
+./cloudflare_ip_addresses_download.sh
+./ethereum_ip_addresses_download.sh
+./microsoft_ip_addresses_download.sh
+./tor_ip_addresses_download.sh
+./whatsapp_ip_addresses_download.sh
+./zoom_ip_addresses_download.sh
+./google_cloud_ip_addresses_download.sh
+./google_ip_addresses_download.sh
+
+./asn_update.sh